Subject: Re: linux-next: driver-core tree build warning

From: Greg KH <[email-masked]>
Date: Tue, 19 Jan 2010 13:04:17 -0800

On Tue, Jan 19, 2010 at 05:27:41PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next build (powerpc ppc64_defconfig) produced this warning:
> 
> drivers/base/cpu.c:264: warning: initialization from incompatible pointer type
> drivers/base/cpu.c:265: warning: initialization from incompatible pointer type
> 
> Introduced by commit 380567d3dc35a62f5cc0ec640a45dfc238238417 ("sysdev:
> Convert node driver")?

No, I don't think that patch causes the warning, I can't duplicate it
here.

I don't know what patch causes that problem, as I can't duplicate it in
my tree at all.  Maybe some 'const' patch snuck in from some other tree?

strange,

greg k-h